<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  ProjectsListComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-projects-list</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./projects-list.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./projects-list.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#currentIndex" >currentIndex</a>
                            </li>
                            <li>
                                <a href="#currentProject" >currentProject</a>
                            </li>
                            <li>
                                <a href="#projects" >projects</a>
                            </li>
                            <li>
                                <a href="#title" >title</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#refreshList" >refreshList</a>
                            </li>
                            <li>
                                <a href="#retrieveProjects" >retrieveProjects</a>
                            </li>
                            <li>
                                <a href="#searchTitle" >searchTitle</a>
                            </li>
                            <li>
                                <a href="#setActiveProject" >setActiveProject</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(projectService: <a href="../injectables/ProjectAppService.html" target="_self">ProjectAppService</a>, messageService: <a href="../injectables/MessageService.html" target="_self">MessageService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:18</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>projectService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/ProjectAppService.html" target="_self" >ProjectAppService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>messageService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/MessageService.html" target="_self" >MessageService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="23"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:23</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="refreshList"></a>
                    <span class="name">
                        <span ><b>refreshList</b></span>
                        <a href="#refreshList"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>refreshList()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="34"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:34</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="retrieveProjects"></a>
                    <span class="name">
                        <span ><b>retrieveProjects</b></span>
                        <a href="#retrieveProjects"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>retrieveProjects()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="28"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:28</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="searchTitle"></a>
                    <span class="name">
                        <span ><b>searchTitle</b></span>
                        <a href="#searchTitle"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>searchTitle()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="60"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:60</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Django Viewset needs project ID to delete a project. Delete all is not allowed. Either dont impplement or do a for loop.
removeAllProjects(): void {
this.projectService.deleteAll()
.subscribe({
next: (res) =&gt; {
console.log(res);
this.refreshList();
},
error: (e) =&gt; console.error(e)
});
}</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="setActiveProject"></a>
                    <span class="name">
                        <span ><b>setActiveProject</b></span>
                        <a href="#setActiveProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>setActiveProject(project: <a href="../interfaces/Project.html" target="_self">Project</a>, index: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="41"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:41</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>project</td>
                                    <td>
                                                <code><a href="../interfaces/Project.html" target="_self" >Project</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>index</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="currentIndex"></a>
                    <span class="name">
                        <span ><b>currentIndex</b></span>
                        <a href="#currentIndex"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>-1</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:17</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="currentProject"></a>
                    <span class="name">
                        <span ><b>currentProject</b></span>
                        <a href="#currentProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../interfaces/Project.html" target="_self" >Project</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>{}</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:16</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="projects"></a>
                    <span class="name">
                        <span ><b>projects</b></span>
                        <a href="#projects"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../interfaces/Project.html" target="_self" >Project[]</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:15</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="title"></a>
                    <span class="name">
                        <span ><b>title</b></span>
                        <a href="#title"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&#x27;&#x27;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">projects/projects-app-ang/src/app/components/projects-list/projects-list.component.ts:18</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;

import { Project } from &quot;../../Project&quot;;
import { ProjectAppService } from &#x27;../../services/project-app.service&#x27;;
import { MessageService } from &#x27;../../message.service&#x27;;


@Component({
  selector: &#x27;app-projects-list&#x27;,
  templateUrl: &#x27;./projects-list.component.html&#x27;,
  styleUrls: [&#x27;./projects-list.component.css&#x27;]
})

export class ProjectsListComponent implements OnInit {
  projects: Project[]&#x3D;[];
  currentProject: Project &#x3D; {};
  currentIndex &#x3D; -1;
  title &#x3D; &#x27;&#x27;;
  constructor(
    private projectService: ProjectAppService,
    private messageService: MessageService) { }

  ngOnInit(): void {
    this.retrieveProjects();
  }

  // Fetches all projects from the service
  retrieveProjects(): void {
    this.projectService.getAll()
    .subscribe(projects &#x3D;&gt; this.projects &#x3D; projects);
  }

  // refreshes the list. unclear if needed
  refreshList(): void {
    this.retrieveProjects();
    this.currentProject &#x3D; {};
    this.currentIndex &#x3D; -1;
  }

  // Sets the active project to index
  setActiveProject(project: Project, index: number): void {
    this.currentProject &#x3D; project;
    this.currentIndex &#x3D; index;
  }

  /** Django Viewset needs project ID to delete a project. Delete all is not allowed. Either dont impplement or do a for loop.
  removeAllProjects(): void {
    this.projectService.deleteAll()
      .subscribe({
        next: (res) &#x3D;&gt; {
          console.log(res);
          this.refreshList();
        },
        error: (e) &#x3D;&gt; console.error(e)
      });
  }
  */

  // Fetches all projects with fitting title from the service
  searchTitle(): void {
    this.currentProject &#x3D; {};
    this.currentIndex &#x3D; -1;
    this.projectService.findByTitle(this.title)
    .subscribe(projects &#x3D;&gt; this.projects &#x3D; projects);
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;list row&quot;&gt;

  &lt;!-- Search bar--&gt;
  &lt;div class&#x3D;&quot;col-md-8&quot;&gt;
    &lt;div class&#x3D;&quot;input-group mb-3&quot;&gt;

      &lt;!-- search field --&gt;
      &lt;input
        type&#x3D;&quot;text&quot;
        class&#x3D;&quot;form-control&quot;
        placeholder&#x3D;&quot;{{&#x27;PROJECTS.SEARCHBYTITLE&#x27; | translate}}&quot;
        [(ngModel)]&#x3D;&quot;title&quot;
      /&gt;

      &lt;!-- search button --&gt;
      &lt;div class&#x3D;&quot;input-group-append&quot;&gt;
        &lt;button
          class&#x3D;&quot;btn btn-outline-secondary&quot;
          type&#x3D;&quot;button&quot;
          (click)&#x3D;&quot;searchTitle()&quot;
        &gt;
        {{&#x27;PROJECTS.SEARCH&#x27; | translate}}
        &lt;/button&gt;
      &lt;/div&gt;

    &lt;/div&gt;
  &lt;/div&gt;

  &lt;!-- Project list--&gt;
  &lt;div class&#x3D;&quot;col-md-6&quot;&gt;
    &lt;h4&gt;{{&#x27;PROJECTS.PROJECTLIST&#x27; | translate}}&lt;/h4&gt;
    &lt;ul class&#x3D;&quot;list-group&quot;&gt;
      &lt;li
        class&#x3D;&quot;list-group-item&quot;
        *ngFor&#x3D;&quot;let project of projects; let i &#x3D; index&quot; 
        [class.active]&#x3D;&quot;i &#x3D;&#x3D; currentIndex&quot;
        (click)&#x3D;&quot;setActiveProject(project, i)&quot;
      &gt; &lt;span&gt;{{ project.title }}&lt;/span&gt;
      &lt;/li&gt;
    &lt;/ul&gt;
  &lt;/div&gt;

  &lt;!--Project detail--&gt;
  &lt;div class&#x3D;&quot;col-md-6&quot;&gt;

    &lt;!-- This passes the current project to the project-details Component to display the details of the project.--&gt;
    &lt;app-project-details
      [viewMode]&#x3D;&quot;true&quot;
      [currentProject]&#x3D;&quot;currentProject&quot;
    &gt;&lt;/app-project-details&gt;
    
  &lt;/div&gt;
&lt;/div&gt;

&lt;div&gt;
  &lt;app-projects-material-table&gt;&lt;/app-projects-material-table&gt;
&lt;/div&gt;

&lt;!-- Table content 
&lt;br&gt;

&lt;table class&#x3D;&quot;table table-striped&quot;&gt;
  &lt;thead&gt;
      &lt;tr&gt;
        &lt;th&gt;{{&#x27;PROJECTS.HOSTINGINSTITUTION&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.NAME&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.TYPE&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.SUBJECTAREA&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.OPENACCESS&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.API&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.PUBLICATIONCOST&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.SIZE&#x27; | translate}}&lt;/th&gt;
        &lt;th&gt;{{&#x27;PROJECTS.COMMENT&#x27; | translate}}&lt;/th&gt;
      &lt;/tr&gt;
  &lt;/thead&gt;
  &lt;tbody&gt;
    &lt;tr&gt;
      &lt;td&gt;Centre pour la Communication Scientifique Directe&lt;/td&gt;
      &lt;td&gt;HAL science ouverte&lt;/td&gt;
      &lt;td&gt;Repository&lt;/td&gt;
      &lt;td&gt;Interdisciplinary&lt;/td&gt;
      &lt;td&gt;yes&lt;/td&gt;
      &lt;td&gt;yes&lt;/td&gt;
      &lt;td&gt;free&lt;/td&gt;
      &lt;td&gt;0.2&lt;/td&gt;
      &lt;td&gt;Also provides access to other repositores of french universities and research centers&lt;/td&gt;
     &lt;/tr&gt;
    &lt;tr&gt;
      &lt;td&gt;SciELO Scientific Electronic Library Online&lt;/td&gt;
      &lt;td&gt;ScieLO Data&lt;/td&gt;
      &lt;td&gt;Repository&lt;/td&gt;
      &lt;td&gt;Interdisciplinary&lt;/td&gt;
      &lt;td&gt;yes&lt;/td&gt;
      &lt;td&gt;yes&lt;/td&gt;
      &lt;td&gt;free&lt;/td&gt;
      &lt;td&gt;2&lt;/td&gt;
      &lt;td&gt;Repository for depostion of research data published on SciELO&lt;/td&gt;
    &lt;/tr&gt;
    &lt;tr&gt;
      &lt;td&gt;Centre pour la Communication Scientifique Directe&lt;/td&gt;
      &lt;td&gt;HAL science ouverte&lt;/td&gt;
      &lt;td&gt;Repository&lt;/td&gt;
      &lt;td&gt;Interdisciplinary&lt;/td&gt;
      &lt;td&gt;yes&lt;/td&gt;
      &lt;td&gt;yes&lt;/td&gt;
      &lt;td&gt;free&lt;/td&gt;
      &lt;td&gt;0.2&lt;/td&gt;
      &lt;td&gt;Also provides access to other repositores of french universities and research centers&lt;/td&gt;
     &lt;/tr&gt;
  &lt;/tbody&gt;
&lt;/table&gt;

--&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./projects-list.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">
.list {
    text-align: left;
    max-width: 750px;
    margin: auto;
  }</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="list row">  <!-- Search bar-->  <div class="col-md-8">    <div class="input-group mb-3">      <!-- search field -->      <input        type="text"        class="form-control"        placeholder="{{\'PROJECTS.SEARCHBYTITLE\' | translate}}"        [(ngModel)]="title"      />      <!-- search button -->      <div class="input-group-append">        <button          class="btn btn-outline-secondary"          type="button"          (click)="searchTitle()"        >        {{\'PROJECTS.SEARCH\' | translate}}        </button>      </div>    </div>  </div>  <!-- Project list-->  <div class="col-md-6">    <h4>{{\'PROJECTS.PROJECTLIST\' | translate}}</h4>    <ul class="list-group">      <li        class="list-group-item"        *ngFor="let project of projects; let i = index"         [class.active]="i == currentIndex"        (click)="setActiveProject(project, i)"      > <span>{{ project.title }}</span>      </li>    </ul>  </div>  <!--Project detail-->  <div class="col-md-6">    <!-- This passes the current project to the project-details Component to display the details of the project.-->    <app-project-details      [viewMode]="true"      [currentProject]="currentProject"    ></app-project-details>      </div></div><div>  <app-projects-material-table></app-projects-material-table></div><!-- Table content <br><table class="table table-striped">  <thead>      <tr>        <th>{{\'PROJECTS.HOSTINGINSTITUTION\' | translate}}</th>        <th>{{\'PROJECTS.NAME\' | translate}}</th>        <th>{{\'PROJECTS.TYPE\' | translate}}</th>        <th>{{\'PROJECTS.SUBJECTAREA\' | translate}}</th>        <th>{{\'PROJECTS.OPENACCESS\' | translate}}</th>        <th>{{\'PROJECTS.API\' | translate}}</th>        <th>{{\'PROJECTS.PUBLICATIONCOST\' | translate}}</th>        <th>{{\'PROJECTS.SIZE\' | translate}}</th>        <th>{{\'PROJECTS.COMMENT\' | translate}}</th>      </tr>  </thead>  <tbody>    <tr>      <td>Centre pour la Communication Scientifique Directe</td>      <td>HAL science ouverte</td>      <td>Repository</td>      <td>Interdisciplinary</td>      <td>yes</td>      <td>yes</td>      <td>free</td>      <td>0.2</td>      <td>Also provides access to other repositores of french universities and research centers</td>     </tr>    <tr>      <td>SciELO Scientific Electronic Library Online</td>      <td>ScieLO Data</td>      <td>Repository</td>      <td>Interdisciplinary</td>      <td>yes</td>      <td>yes</td>      <td>free</td>      <td>2</td>      <td>Repository for depostion of research data published on SciELO</td>    </tr>    <tr>      <td>Centre pour la Communication Scientifique Directe</td>      <td>HAL science ouverte</td>      <td>Repository</td>      <td>Interdisciplinary</td>      <td>yes</td>      <td>yes</td>      <td>free</td>      <td>0.2</td>      <td>Also provides access to other repositores of french universities and research centers</td>     </tr>  </tbody></table>--></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ProjectsListComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ProjectsListComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
